set(PLATFORM_UNIT_TEST_FILES)

find_package(Wayland QUIET)
if(WAYLAND_FOUND)
    set( PLATFORM_UNIT_TEST_FILES 
        windows/TestWaylandWindow.cpp
    )
endif()

set(WINDOWS_UNIT_TEST_FILES 
    ${PLATFORM_UNIT_TEST_FILES}
    PARENT_SCOPE
    )
    
set(WINDOWS_UNIT_TEST_DEPENDENCIES 
        windows
    PARENT_SCOPE
    )